Delete an ArgoCD destination cluster mapping
curl --request DELETE \
--url https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
ArgoCD
Delete an ArgoCD destination cluster mapping
Remove the mapping between an ArgoCD destination cluster URL and a Qovery cluster. Requires ADMIN role on the agent cluster.
DELETE
/
organization
/
{organizationId}
/
argoCdDestinationClusterMapping
Delete an ArgoCD destination cluster mapping
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Query Parameters
ID of the Qovery cluster where the ArgoCD instance is running
ArgoCD destination cluster URL as reported by ArgoCD
Response
Mapping deleted
Was this page helpful?